ModifyPortAttribute
1. API Description
This API (ModifyPortAttribute) is used to modify Port Attribute
2. Input Parameters
The following request parameter list only provides API request parameters.
portId
Yes
String
Port ID.
portName
No
String
Port name, up to 255 characters. It is recommended to use the data center four-letter code plus the port spec.
portRemarks
No
String
Port remarks, up to 255 characters.
businessEntityName
No
String
Business entity name, used as the LOA letterhead.
Can only be modified before the port's LOA is uploaded; not modifiable after upload.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyPortAttribute
<Common Request Params>
Request:
{
"portId": "your-port-id",
"portName": "your-port-name",
"portRemarks": "your-port-remarks",
"businessEntityName": "your-business-entity-name"
}
Response:
{
"requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
"response": {
"requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
Last updated